import { OnInit, Injector, ElementRef } from '@angular/core';
import { NgControl, ControlValueAccessor } from '@angular/forms';
import { FileModel } from './file.model';
export declare class NgBootstrapFileuploadAngularComponent implements ControlValueAccessor, OnInit {
    private inj;
    private host;
    selectedFile: File;
    savedFile: FileModel;
    defaultUrl: string;
    fileName: string;
    previewUrl: any;
    showPreview: boolean;
    fileInput: ElementRef;
    private onTouched;
    private onChange;
    ngControl: NgControl;
    constructor(inj: Injector, host: ElementRef<HTMLInputElement>);
    ngOnInit(): void;
    clearSavedFile(): void;
    writeValue(newModel: any): void;
    onFileSelected($event: any): void;
    clear(): void;
    bytesToSize(bytes: number): string;
    preview(): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    inputBlur($event: any): void;
}
